Bug 116745 - PIE binaries seem very broken on x86-64
PIE binaries seem very broken on x86-64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-02-24 16:08 EST by Bill Nottingham
Modified: 2014-03-16 22:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6.3-1.108
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-25 11:17:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
eu-elflint run on the binary in question (104 bytes, text/plain)
2004-02-24 16:14 EST, Bill Nottingham
no flags Details
Oops, take 2 (88.33 KB, text/plain)
2004-02-24 16:16 EST, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2004-02-24 16:08:36 EST
[root@apone root]# strace /usr/bin/newaliases
execve("/usr/bin/newaliases", ["/usr/bin/newaliases"], [/* 29 vars
*/]) = 0
uname({sys="Linux", node="apone.devel.redhat.com", ...}) = 0
brk(0)                                  = 0x2a95732000
fcntl(0, F_GETFD)                       = 0
fcntl(1, F_GETFD)                       = 0
fcntl(2, F_GETFD)                       = 0
access("/etc/suid-debug", F_OK)         = -1 ENOENT (No such file or
directory)
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x2a95617000
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or
directory)
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++


[root@apone root]# LD_DEBUG=all /usr/bin/newaliases
      4955:
      4955:     relocation processing: /usr/bin/newaliases (lazy)
Segmentation fault


syslogd and klogd segfault as well.
Comment 1 Bill Nottingham 2004-02-24 16:14:55 EST
Created attachment 98011 [details]
eu-elflint run on the binary in question

eu-elflint does not seem to think that the binary is valid.
Comment 2 Bill Nottingham 2004-02-24 16:16:41 EST
Created attachment 98013 [details]
Oops, take 2

Erm, try this eu-elflint dump.
Comment 3 Bill Nottingham 2004-02-24 17:26:22 EST
Works with Arjan's .204 kernel. 
Comment 4 Dave Jones 2004-02-25 09:54:21 EST
todays rawhide should also work now ?
Comment 5 Bill Nottingham 2004-02-25 11:17:01 EST
Yup, 1.108 is fine.

Note You need to log in before you can comment on or make changes to this bug.